abstractile(6)

NAME
abstractile - draw abstract mosaic patterns of interlocking tiles

SYNOPSIS
abstractile [--sleep seconds] [--speed int] [--tile tile_mode] [--visual visual] [--window] [--root] [--window-id number] [--fps]

DESCRIPTION
The abstractile program draws chaotic grids of randomly colored and shaped interlocking tiles.

OPTIONS
abstractile accepts the following options:

--sleep seconds
    Specify the number of seconds to sleep between screens (0-60).

--speed int
    A value between 0 and 5 used to specify the speed at which each screen is drawn.

--tile tile_mode
    The type of tile that is drawn on each screen. Legal values are random, flat, thin, outline, block, neon, and tiled

--fps
    Display the current frame rate and CPU load.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2004 by Steve Sundstrom. Based on examples from the hacks directory of xscreensaver, Copyright (c) 1997, 1998, 2002 Jamie Zawinski <jwz@jwz.org> Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Steve Sundstrom